(* ****************************************************************************
 *                  ZERO Inserter/Suppressor in filename
 *                  Copyright (C) 1999 Fumio Kawamata
 *
 *  This program arranges numeric portion of the filename.
 *  Arrange examples:
 *    Before
 *     pic1.jpg
 *     pic10.jpg
 *     pic11.jpg
 *     pic2.jpg
 *    After
 *     pic01.jpg
 *     pic02.jpg
 *     pic10.jpg
 *     pic11.jpg
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 ******************************************************************************
 *)
unit logview;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Menus, ExtCtrls, ComCtrls;

type
  TformLogViewer = class(TForm)
    bitbtnClose     : TBitBtn;
    MainMenu        : TMainMenu;
    memoLog         : TMemo;
    menuFile        : TMenuItem;
    menuFileClose   : TMenuItem;
    penelBottom     : TPanel;
    StatusBar       : TStatusBar;
    procedure menuFileCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure bitbtnCloseClick(Sender: TObject);
  private
  public
  end;

var
  formLogViewer: TformLogViewer;

implementation

{$R *.DFM}
uses main,RegUtl,Global;

procedure TformLogViewer.menuFileCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TformLogViewer.FormCreate(Sender: TObject);
(* ****************************************************************************
 * Sets initial values.
 * ****************************************************************************
 *)
begin
  if ExistKey(BaseKeyName+'\'+formLogViewer.Name) then begin
    RestoreFormStatus(formLogViewer,BaseKeyName);
  end
  else begin
    Width:=400;
    Height:=200;
    Position:=poScreenCenter;
  end;
end;

procedure TformLogViewer.FormDestroy(Sender: TObject);
(* ****************************************************************************
 * Stores option statuses when the registories have been existed.
 * Please note users can remove the registories for this program when it is
 * running.
 * ****************************************************************************
 *)
begin
  if ExistKey(BaseKeyName) then begin
    StoreFormStatus(formLogViewer,BaseKeyName);
  end;
end;




procedure TformLogViewer.bitbtnCloseClick(Sender: TObject);
begin
  Close;
end;

end.
