(* ****************************************************************************
 *                          Registry Utility
 *                  Copyright (C) 1998 Fumio Kawamata
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 2 of the License.
 *
 *  This program is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
 *  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 *  Public License in the directory "manual" for more details.
 * ****************************************************************************
 *)

(* ****************************************************************************
 *
 * ****************************************************************************
 *)
unit regutl;

interface

uses Forms;

function ExistKey(KeyName:string):Boolean;
procedure Create_Key(KeyName:string);
procedure Delete_Key(KeyName:string);
procedure RestoreFormStatus(Target:TForm;BaseKeyName:string);
procedure StoreFormStatus(Target:TForm;BaseKeyName:string);

implementation

uses Registry;

function ExistKey(KeyName:string):Boolean;
var
  Reg : TRegIniFile;
begin
  Reg:=TRegIniFile.Create('\');
  ExistKey:=Reg.OpenKey(KeyName,False);
  Reg.Free;
end;



procedure Create_Key(KeyName:string);
var
  Reg : TRegIniFile;
begin
  Reg:=TRegIniFile.Create(KeyName);
  Reg.OpenKey(KeyName,True);
  Reg.Free;
end;



procedure Delete_Key(KeyName:string);
var
  Reg : TRegIniFile;
begin
  Reg:=TRegIniFile.Create(KeyName);
  Reg.EraseSection(KeyName);
  Reg.Free;
end;



procedure RestoreFormStatus(Target:TForm;BaseKeyName:string);
var
  Reg : TRegIniFile;
  SubKeyName : String;
begin
  SubKeyName:=Target.Name;
  Reg:=TRegIniFile.Create(BaseKeyName);
  Target.Left:=Reg.ReadInteger(SubKeyName,'Left',Target.Left);
  Target.Top:=Reg.ReadInteger(SubKeyName,'Top',Target.Top);
  Target.Width:=Reg.ReadInteger(SubKeyName,'Width',Target.Width);
  Target.Height:=Reg.ReadInteger(SubKeyName,'Height',Target.Height);
  Reg.Free;
end;



procedure StoreFormStatus(Target:TForm;BaseKeyName:string);
var
  Reg : TRegIniFile;
  SubKeyName : String;
begin
  SubKeyName:=Target.Name;
  Reg:=TRegIniFile.Create(BaseKeyName);
  Reg.WriteInteger(SubKeyName,'Left',Target.Left);
  Reg.WriteInteger(SubKeyName,'Top',Target.Top);
  Reg.WriteInteger(SubKeyName,'Width',Target.Width);
  Reg.WriteInteger(SubKeyName,'Height',Target.Height);
  Reg.Free;
end;



end.
